Page MenuHomePhabricator

AuthManager should retain the MobileFrontend watermark at the top of the login screen
Closed, ResolvedPublic

Description

See parent task and T110431#1604967. Might well be a no-op now that it doesn't replace the login form.

Related Objects

Event Timeline

Tgr created this task.Sep 4 2015, 2:52 AM
Tgr raised the priority of this task from to Normal.
Tgr updated the task description. (Show Details)
Tgr added subscribers: Aklapper, Tgr.
Liuxinyu970226 set Security to None.Sep 4 2015, 9:25 AM
Liuxinyu970226 added a subscriber: Liuxinyu970226.

We only use the normal login page so if there is an issue here it is in the mediawiki login form (e.g. it doesn't load JavaScript with the right target)

Jdlrobson renamed this task from Update MobileFrontend to use AuthManager to Make sure MobileFrontend works with AuthManager.Nov 4 2015, 5:18 PM

Let me know if there is anything specific you need done in the extension!

Anomie added a subscriber: Anomie.May 11 2016, 8:57 PM

The only thing that looks suspicious is that you're using the UserLoginForm and UserCreateForm hooks. These hooks are deprecated under AuthManager, so it would be good to move away from using them.

All those hooks do is add an image to the top of the form. This is important as it gives context to where you are logging in.

<div class="watermark"><img src="$1"></div>
where $1 is the value of $wgMobileFrontendLogo

If you are deprecating these, you need to provide a new way to add that image. I consider that a blocker to rolling this out.

Jdlrobson renamed this task from Make sure MobileFrontend works with AuthManager to AuthManager should retain the MobileFrontend watermark at the top of the login screen.May 11 2016, 9:13 PM

Change 288334 had a related patch set uploaded (by Gergő Tisza):
Update for AuthManager

https://gerrit.wikimedia.org/r/288334

Change 288334 merged by jenkins-bot:
Update for AuthManager

https://gerrit.wikimedia.org/r/288334

Anomie closed this task as Resolved.May 17 2016, 4:10 PM
Anomie assigned this task to Tgr.

Change 296508 had a related patch set uploaded (by Gergő Tisza):
Update for AuthManager

https://gerrit.wikimedia.org/r/296508

Change 296508 merged by jenkins-bot:
Update for AuthManager

https://gerrit.wikimedia.org/r/296508